PROGRESSIVEMAUVE(1)

NAME
progressiveMauve - efficiently constructing multiple genome alignments

DESCRIPTION
progressiveMauve usage:

When each genome resides in a separate file: progressiveMauve [options] <seq1 filename> ... <seqN filename>

When all genomes are in a single file: progressiveMauve [options] <seq filename>

OPTIONS

--island-gap-size=<number> Alignment gaps above this size in nucleotides are considered to be islands [20]

--profile=<file> (Not yet implemented) Read an existing sequence alignment in XMFA format and align it to other sequences or alignments

--apply-backbone=<file> Read an existing sequence alignment in XMFA format and apply backbone statistics to it

--disable-backbone Disable backbone detection

--mums Find MUMs only, do not attempt to determine locally collinear blocks (LCBs)

--seed-weight=<number> Use the specified seed weight for calculating initial anchors

--output=<file> Output file name.
    Prints to screen by default

--backbone-output=<file> Backbone output file name (optional).

--match-input=<file> Use specified match file instead of searching for matches

--input-id-matrix=<file> An identity matrix describing similarity among all pairs of input sequences/alignments

--max-gapped-aligner-length=<number> Maximum number of base pairs to attempt aligning with the gapped aligner

--input-guide-tree=<file> A phylogenetic guide tree in NEWICK format that describes the order in which sequences will be aligned

--output-guide-tree=<file> Write out the guide tree used for alignment to a file

--version Display software version information

--debug Run in debug mode (perform internal consistency checks--very slow)

--scratch-path-1=<path> Designate a path that can be used for temporary data storage.
    Two or more paths should be specified.

--scratch-path-2=<path> Designate a path that can be used for temporary data storage.
    Two or more paths should be specified.

--collinear Assume that input sequences are collinear--they have no rearrangements

--scoring-scheme=<ancestral|sp_ancestral|sp> Selects the anchoring score function.
    Default is extant sum-of-pairs (sp).

--no-weight-scaling Don't scale LCB weights by conservation distance and breakpoint distance

--max-breakpoint-distance-scale=<number [0,1]> Set the maximum weight scaling by breakpoint distance.
    Defaults to 0.5

--conservation-distance-scale=<number [0,1]> Scale conservation distances by this amount.
    Defaults to 0.5

--muscle-args=<arguments in quotes> Additional command-line options for MUSCLE.
    Any quotes should be escaped with a backslash

--skip-refinement Do not perform iterative refinement

--skip-gapped-alignment Do not perform gapped alignment

--bp-dist-estimate-min-score=<number> Minimum LCB score for estimating pairwise breakpoint distance

--mem-clean Set this to true when debugging memory allocations

--gap-open=<number> Gap open penalty

--repeat-penalty=<negative|zero> Sets whether the repeat scores go negative or go to zero for highly repetitive sequences.
    Default is negative.

--gap-extend=<number> Gap extend penalty

--substitution-matrix=<file> Nucleotide substitution matrix in NCBI format

--weight=<number> Minimum pairwise LCB score

--min-scaled-penalty=<number> Minimum breakpoint penalty after scaling the penalty by expected divergence

--hmm-p-go-homologous=<number> Probability of transitioning from the unrelated to the homologous state [0.00001]

--hmm-p-go-unrelated=<number> Probability of transitioning from the homologous to the unrelated state [0.000000001]

--hmm-identity=<number> Expected level of sequence identity among pairs of sequences, ranging between 0 and 1 [0.7]

--seed-family Use a family of spaced seeds to improve sensitivity

--solid-seeds Use solid seeds. Do not permit substitutions in anchor matches.

--coding-seeds Use coding pattern seeds. Useful to generate matches coding regions with 3rd codon position degeneracy.

--disable-cache Disable recursive anchor search cacheing to workaround a crash bug

--no-recursion Disable recursive anchor search

EXAMPLES
progressiveMauve --output=my_seqs.xmfa my_genome1.gbk my_genome2.gbk my_genome3.fasta

If genomes are in a single file and have no rearrangement: progressiveMauve --collinear --output=my_seqs.xmfa my_genomes.fasta